globalvars;
T=x(2)-x(1);                 % Sample Time
Fs = 1/T;                    % Sampling frequency
T = 1/Fs;                     % Sample time
L = 2500;                     % Length of signal
t = (0:L-1)*T;                % Time vector
NFFT = 2048;
Y = fft(y,NFFT)/NFFT;
f = Fs/2*linspace(0,1,NFFT/2);
Fft = 2*abs(Y(1:NFFT/2));

% Plot single-sided amplitude spectrum.
fHandle = figure('HandleVisibility','off','IntegerHandle','off','Visible','off');
aHandle = axes('Parent',fHandle);
pHandles = plot(f,2*abs(Y(1:NFFT/2)),'Parent',aHandle);
xlabel(aHandle,'frequency(Hz)');
ylabel(aHandle,'voltage(V)');
title(aHandle,'FFT Transform');

set(fHandle,'Visible','on');

