function start = newfftstart(x,y)

lengthx = length(x);


% Applying fast fourier transfrom on the data points
T=x(2)-x(1);                 % Sample Time
Fs = 1/T;                    % Sampling frequency
T = 1/Fs;                     % Sample time
L = 2500;                     % Length of signal
t = (0:L-1)*T;                % Time vector

NFFT = 2^nextpow2(L); % Next power of 2 from length of y
Y = fft(y,NFFT)/L;
f = Fs/2*linspace(0,1,NFFT/2);
fy = abs(Y);
start = [];

[maxf,maxloc] = max(fy(2:floor(NFFT/2)));
    
w = f(maxloc);
ang=angle(Y(maxloc));
ang=ang+pi;
if(ang>2*pi)
    ang=ang-pi;
end
start = [2*abs(Y(maxloc)),2*pi*f(maxloc),ang,abs(Y(1))];




