globalvars
fHandle = figure('HandleVisibility','off','IntegerHandle','off','Visible','off');
aHandle = axes('Parent',fHandle);
xx=x;
yy=y;
s = newfftstart(x, y);
display(strcat('FFT: amp1=',num2str(s(1)),' freq1=',num2str(s(2)),' phase1=',num2str(s(3)),' dc1=',num2str(s(4))));
fch1=fminsearch('sfitch1',s);
amp=fch1(1,1);
w=fch1(1,2);
ph=fch1(1,3);
dc=fch1(1,4);
yt=amp*cos(w*x+ph)+dc;
pHandles = plot(xx,yy,'bx',x,yt, 'r-','Parent',aHandle);
xlabel(aHandle,'Time(s)');
ylabel(aHandle,'CH1 Voltage(V)');
title(aHandle,'CH1 Data and Fit');
set(fHandle,'Visible','on');

 
