globalvars
fHandle = figure('HandleVisibility','off','IntegerHandle','off','Visible','off');
aHandle = axes('Parent',fHandle);
xx=x2;
yy=y2;
s = newfftstart(x2, y2);
display(strcat('FFT: amp2=',num2str(s(1)),' freq2=',num2str(s(2)),' phase2=',num2str(s(3)),' dc2=',num2str(s(4))));
fch2=fminsearch('sfitch2',s);
amp=fch2(1,1);
w=fch2(1,2);
ph=fch2(1,3);
dc=fch2(1,4);
yt=amp*cos(w*x2+ph)+dc;
pHandles = plot(xx,yy,'bx',x2,yt, 'r-','Parent',aHandle);
xlabel(aHandle,'Time(s)');
ylabel(aHandle,'CH1 Voltage(V)');
title(aHandle,'CH1 Data and Fit');
set(fHandle,'Visible','on');

 
